string s = Console.ReadLine(); 
string c1 = s[0].ToString();
string c2 = s[1].ToString();
string[] s1 = Console.ReadLine().Split();
int a1 = int.Parse(s1[0]);
int a2 = int.Parse(s1[1]);
string rez = "";
if (a1 == a2)
{
    for (int i = 0; i < a1; i++)
    {
        rez += c1 + c2;
    }
    Console.WriteLine(rez);
}
else
{
    if (a1 < a2)
    {
        int a = a1;
        a1 = a2;
        a2 = a;
        string c = c1;
        c1 = c2;
        c2 = c;
    }
    if (a1 - a2 > 1) Console.WriteLine("nemoguce");
    else
    {
        rez += c1;
        for (int i = 0; i < a2; i++)
        {
            rez += c2 + c1;
        }
        Console.WriteLine(rez);
    }
}